class ProductGalleryComponent {
	constructor ()
	{
		this.name = "Products";
		this.attributes = ["data-v-component-product-gallery"],

		this.image ="icons/products.svg";
		this.html = '<div class="form-group"><label>Your response:</label><textarea class="form-control"></textarea></div>';
		
		this.properties = [];
	}

    init(node)
	{
		$('.form-group[data-v-group]').attr('style','display:none !important');
		if (node.dataset.type != undefined)
		{
			$('.form-group[data-v-group="'+ node.dataset.type + '"]').attr('style','');
		} else
		{		
			$('.form-group[data-v-group]:first').attr('style','');
		}
	}
}

let productGalleryComponent = new ProductGalleryComponent;

export {
  productGalleryComponent
};
